import {Canonical} from './Canonical'

/**
 * Canonical class used for faking canonical units. Here, the canonical resolver
 * is registered with the global service, but no files are loaded from the filesystem.
 */
export class FakeCanonical<T> extends Canonical<T> {
    public async up(): Promise<void> {
        this.canon.registerCanonical(this)
    }
}
